server {
	server_name ods.ninja;
	root /var/www/ods.ninja/html/main;
	index index.html index.php;


    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/ods.ninja/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/ods.ninja/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot


}

server {
	server_name download.ods.ninja;
	root /var/www/ods.ninja/html/BuildServer;
	index /_h5ai/public/index.php;

	location ~* \.php$ {
		fastcgi_pass unix:/run/php/php8.1-fpm.sock;
		include         fastcgi_params;
		fastcgi_param   SCRIPT_FILENAME    $document_root$fastcgi_script_name;
		fastcgi_param   SCRIPT_NAME        $fastcgi_script_name;
	}

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/download.ods.ninja/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/download.ods.ninja/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
	server_name updater.ods.ninja;

	location / {
		proxy_pass http://127.0.0.1:5000;
	}

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/updater.ods.ninja/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/updater.ods.ninja/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
	server_name ssh.ods.ninja;

	location / {
		proxy_pass http://127.0.0.1:5001;
	}

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/ssh.ods.ninja/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/ssh.ods.ninja/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}
server {
    if ($host = ods.ninja) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	server_name ods.ninja;
    listen 80;
    return 404; # managed by Certbot


}

server {
    if ($host = download.ods.ninja) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	listen 80;
	server_name download.ods.ninja;
    return 404; # managed by Certbot


}

server {
    if ($host = ssh.ods.ninja) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	listen 80;
	server_name ssh.ods.ninja;
    return 404; # managed by Certbot


}

server {
    if ($host = updater.ods.ninja) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	listen 80;
	server_name updater.ods.ninja;
    return 404; # managed by Certbot


}
